Page 82 of 84 FirstFirst ... 32728081828384 LastLast
Results 811 to 820 of 839
  1. #811
    Join Date
    Aug 2010
    Location
    Israel
    Posts
    285
    Plugin Contributions
    0

    Default Re: User tracking mod

    Quote Originally Posted by giuly View Post
    thanks, I uninstalled plugin, I didn't see that was in that directory.
    Can I ask a thing please? But the directory youradmin>installer>user tracking and all the files has to be uploaded or not?
    Because I uploaded it
    Of course need to upload it

  2. #812
    Join Date
    Jul 2012
    Posts
    14,850
    Plugin Contributions
    17

    Default Re: User tracking mod

    The package is designed to provide installation "through the ages" and at various version conditions.

    Meaning, as the instructions state, to upload all of the files. The files are arranged in a structure to support uploading for example all of the files that are in the YOUR_ADMIN directory into the folder that represents your_admin. Therefore, as part of the installation operation, every file that is version based within the admin/includes/installers/user_tracking directory will be executed in order. Each file contains either code to be executed or a description of what was changed for that version. Each file serves at least one function: to identify the version of the plugin. Omission of a file could prevent modifications to the system needed to operate the plugin.

    The one exception is the uninstall.sql. This is placed and recommended to be present to support some future uninstall that may be desired rather than trying to locate the file in some future point.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  3. #813
    Join Date
    May 2007
    Location
    Italy
    Posts
    438
    Plugin Contributions
    0

    Default Re: User tracking mod

    thanks for your patience, I tried to install again, but same issue, and I installed other plugins without problems.
    At this time I think it is a hosting problem in some way, because on another site both plugins work.

    Thank again

  4. #814
    Join Date
    Jul 2012
    Posts
    14,850
    Plugin Contributions
    17

    Default Re: User tracking mod

    Quote Originally Posted by giuly View Post
    thanks for your patience, I tried to install again, but same issue, and I installed other plugins without problems.
    At this time I think it is a hosting problem in some way, because on another site both plugins work.

    Thank again
    Perhaps with more detail beyond "doesn't work" the reason for the issue could be identified and if in fact there is something with UT it could be corrected/adjusted for others as well as that site.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  5. #815
    Join Date
    Mar 2014
    Location
    Canada
    Posts
    23
    Plugin Contributions
    0

    application error Re: User tracking mod

    Everything is working great on my end, I do every now and then get this error showing up in my Debug log:

    [30-Nov-2017 14:15:36 America/Detroit] PHP Notice: CURL error checking plugin versions: 7:Failed to connect to plugins.zen-cart.com port 443: Connection refused

    Trying file_get_contents() instead. in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 136
    [30-Nov-2017 14:15:36 America/Detroit] PHP Warning: file_get_contents(https://plugins.zen-cart.com/versioncheck/159): failed to open stream: Connection refused in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 138
    [30-Nov-2017 14:15:36 America/Detroit] PHP Notice: file_get_contents() error checking plugin versions.
    Trying http instead. in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 140
    [30-Nov-2017 14:15:36 America/Detroit] PHP Warning: file_get_contents(http://plugins.zen-cart.com/versioncheck/159): failed to open stream: Connection refused in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 141
    [30-Nov-2017 14:15:36 America/Detroit] PHP Notice: file_get_contents() error checking plugin versions.
    Aborting. in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 144

    Just wanted to let you know and I'm running v1.5.8.

    Thanks!

    Brandon

  6. #816
    Join Date
    Jul 2012
    Posts
    14,850
    Plugin Contributions
    17

    Default Re: User tracking mod

    Quote Originally Posted by Nitroedge View Post
    Everything is working great on my end, I do every now and then get this error showing up in my Debug log:

    Code:
    [30-Nov-2017 14:15:36 America/Detroit] PHP Notice: CURL error checking plugin versions: 7:Failed to connect to plugins.zen-cart.com port 443: Connection refused
    
    Trying file_get_contents() instead. in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 136
    [30-Nov-2017 14:15:36 America/Detroit] PHP Warning: file_get_contents(https://plugins.zen-cart.com/versioncheck/159): failed to open stream: Connection refused in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 138
    [30-Nov-2017 14:15:36 America/Detroit] PHP Notice: file_get_contents() error checking plugin versions.
    Trying http instead. in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 140
    [30-Nov-2017 14:15:36 America/Detroit] PHP Warning: file_get_contents(http://plugins.zen-cart.com/versioncheck/159): failed to open stream: Connection refused in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 141
    [30-Nov-2017 14:15:36 America/Detroit] PHP Notice: file_get_contents() error checking plugin versions.
    Aborting. in /home/webserver/public_html/myadmin/includes/init_includes/init_user_tracking.php on line 144
    Just wanted to let you know and I'm running v1.5.8.

    Thanks!

    Brandon
    This is a result of the version of version checking that was applied at the time of issue, permissions/setup of the server, and whatever else may have prevented the applicable operation(s). This has been a relatively known issue for some. Newer versions of the version checking (independent of the plugin and incorporated into ZC) use some various methods to perform the check(s). It is possible to pull in the newer version(s) to older ZC installs and therefore bypass the check software currently included. I'd have to look around a little bit to find the file(s) that should be incorporated, but it can also be disabled by changing information in the top of that file. There are some instructions included. What it means is that no notification will be made in using the program of a newer version. But there should be a notification from here about it...

    Lastly, thank you for identifying the issue. :)
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  7. #817
    Join Date
    Aug 2009
    Posts
    355
    Plugin Contributions
    0

    Default Re: User tracking mod

    I've just installed 1.5.8 ( upgarded from 1.4.1 ) and it seems working.

    The problem is log directory where I can see many errors as:

    error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed,[errno] => 60))
    #1 trigger_error(CURL error checking plugin versions: 60:SSL certificate problem, verify that the CA cert is OK. Details:
    error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed

    Do you know what problem is ?

    PS. I don't use SSL , my ZC version is 1.5.5
    Last edited by solo_400; 4 Feb 2018 at 08:31 PM.

  8. #818
    Join Date
    Aug 2009
    Posts
    355
    Plugin Contributions
    0

    Default Re: User tracking mod

    [04-Feb-2018 21:40:40] Request URI: /myshop/mydmin/user_tracking.php?gID=1018, IP address:xxxxxxx
    error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
    Trying file_get_contents() instead., /myshop path//includes/functions/plugin_support.php, 68, Array ([plugin_file_id] => 159,[version_string_to_compare] => 1.5.8,[new_version_available] => ,[lookup_index] => 0,[url1] => https://plugins.zen-cart.com/versioncheck/159,[url2] => https://www.zen-cart.com/versioncheck/159,[ch] => Resource id #175,[response] => ,[error] => SSL certificate problem, verify that the CA cert is OK. Details:

    I have disabled ( update check ) for from User Tracking Config , but still have the errors on log directory.

    I believe the errors are reported only when I navigate in Admin pages.
    Last edited by solo_400; 4 Feb 2018 at 08:48 PM.

  9. #819
    Join Date
    Jul 2012
    Posts
    14,850
    Plugin Contributions
    17

    Default Re: User tracking mod

    Looks like the certificate associated with your server to be able to communicate with other servers has a problem. (this is different than the SSL certificate one would get to allow customers to connect via https:) yes it will be related to admin navigation as the version check software tends to only be built into admin related operations.

    You could try to remove the admin/includes/auto_loaders/config.user_tracking_install.php file. This will prevent user tracking from checking for updates.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  10. #820
    Join Date
    Aug 2009
    Posts
    355
    Plugin Contributions
    0

    Default Re: User tracking mod

    Thank you but I only have this file: config.user_tracking.php

    deleting I have the same errors.


    Trying http instead., /var/www/html/mywebsite/includes/functions/plugin_support.php, 72, Array ([plugin_file_id] => 159,[version_string_to_compare] => 1.5.8,[new_version_available] => ,[lookup_index] => 0,[url1] => https://plugins.zen-cart.com/versioncheck/159,[url2] => https://www.zen-cart.com/versioncheck/159,[ch] => Resource id #175,[response] => ,[error] => SSL certificate problem, verify that the CA cert is OK. Details:
    error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed,[errno] => 60,[ctx] => Resource id #176,[http_response_header] => Array ([0] => HTTP/1.0 400 Bad Request,[1] => Date: Wed, 07 Feb 2018 10:35:24 GMT,[2] => Server: Apache/2.4.18 (Ubuntu),[3] => Cache-Control: private, must-revalidate,[4] => pragma: no-cache,[5] => expires: -1,[6] => X-RateLimit-Limit: 60,[7] => X-RateLimit-Remaining: 57,[8] => Content-Length: 60,[9] => Connection: close,[10] => Content-Type: application/json)))
    #1 trigger_error(file_get_contents() error checking plugin versions.
    Trying http instead.) called at [/var/www/html/mywebsite/includes/functions/plugin_support.php:72]
    #2 plugin_version_check_for_updates(159, 1.5.8) called at [/var/www/html/mywebsite/myadmin/includes/init_includes/init_user_tracking.php:164]
    #3 require(/var/www/html/mywebsite/myadmin/includes/init_includes/init_user_tracking.php) called at [/var/www/html/mywebsite/includes/autoload_func.php:48]
    #4 require(/var/www/html/mywebsite/includes/autoload_func.php) called at [/var/www/html/mywebsite/myadmin/includes/application_top.php:171]
    #5 require(/var/www/html/mywebsite/myadmin/includes/application_top.php) called at [/var/www/html/mywebsite/myadmin/index.php:10]

    [07-Feb-2018 12:35:25] PHP Notice: file_get_contents() error checking plugin versions.
    Trying http instead. in /var/www/html/mywebsite/includes/functions/plugin_support.php on line 72
    [07-Feb-2018 12:35:25] Request URI: /mywebsite/myadmin/index.php, IP address: xxx.xxx.xxx.xxx
    , /var/www/html/mywebsite/includes/functions/plugin_support.php, 73, Array ([plugin_file_id] => 159,[version_string_to_compare] => 1.5.8,[new_version_available] => ,[lookup_index] => 0,[url1] => https://plugins.zen-cart.com/versioncheck/159,[url2] => https://www.zen-cart.com/versioncheck/159,[ch] => Resource id #175,[response] => ,[error] => SSL certificate problem, verify that the CA cert is OK. Details:
    error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed,[errno] => 60,[ctx] => Resource id #176,[http_response_header] => Array ([0] => HTTP/1.0 404 Not Found,[1] => Date: Wed, 07 Feb 2018 10:35:25 GMT,[2] => Server: Apache/2.4.18 (Ubuntu),[3] => Cache-Control: no-cache, private,[4] => Connection: close,[5] => Content-Type: text/html; charset=UTF-8)))
    #1 file_get_contents(http://plugins.zen-cart.com/versioncheck/159, , Resource id #176) called at [/var/www/html/mywebsite/includes/functions/plugin_support.php:73]
    #2 plugin_version_check_for_updates(159, 1.5.8) called at [/var/www/html/mywebsite/myadmin/includes/init_includes/init_user_tracking.php:164]
    #3 require(/var/www/html/mywebsite/myadmin/includes/init_includes/init_user_tracking.php) called at [/var/www/html/mywebsite/includes/autoload_func.php:48]
    #4 require(/var/www/html/mywebsite/includes/autoload_func.php) called at [/var/www/html/mywebsite/myadmin/includes/application_top.php:171]
    #5 require(/var/www/html/mywebsite/myadmin/includes/application_top.php) called at [/var/www/html/mywebsite/myadmin/index.php:10]

    [07-Feb-2018 12:35:25] PHP Warning: file_get_contents(http://plugins.zen-cart.com/versioncheck/159): failed to open stream: HTTP request failed! HTTP/1.0 404 Not Found
    in /var/www/html/mywebsite/includes/functions/plugin_support.php on line 73
    [07-Feb-2018 12:35:25] Request URI: /mywebsite/myadmin/index.php, IP address: xxx.xxx.xxx.xxx
    Aborting., /var/www/html/mywebsite/includes/functions/plugin_support.php, 76, Array ([plugin_file_id] => 159,[version_string_to_compare] => 1.5.8,[new_version_available] => ,[lookup_index] => 0,[url1] => https://plugins.zen-cart.com/versioncheck/159,[url2] => https://www.zen-cart.com/versioncheck/159,[ch] => Resource id #175,[response] => ,[error] => SSL certificate problem, verify that the CA cert is OK. Details:
    error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed,[errno] => 60,[ctx] => Resource id #176,[http_response_header] => Array ([0] => HTTP/1.0 404 Not Found,[1] => Date: Wed, 07 Feb 2018 10:35:25 GMT,[2] => Server: Apache/2.4.18 (Ubuntu),[3] => Cache-Control: no-cache, private,[4] => Connection: close,[5] => Content-Type: text/html; charset=UTF-8)))
    #1 trigger_error(file_get_contents() error checking plugin versions.
    Aborting.) called at [/var/www/html/mywebsite/includes/functions/plugin_support.php:76]
    #2 plugin_version_check_for_updates(159, 1.5.8) called at [/var/www/html/mywebsite/myadmin/includes/init_includes/init_user_tracking.php:164]
    #3 require(/var/www/html/mywebsite/myadmin/includes/init_includes/init_user_tracking.php) called at [/var/www/html/mywebsite/includes/autoload_func.php:48]
    #4 require(/var/www/html/mywebsite/includes/autoload_func.php) called at [/var/www/html/mywebsite/myadmin/includes/application_top.php:171]
    #5 require(/var/www/html/mywebsite/myadmin/includes/application_top.php) called at [/var/www/html/mywebsite/myadmin/index.php:10]

    [07-Feb-2018 12:35:25] PHP Notice: file_get_contents() error checking plugin versions.
    Aborting. in /var/www/html/mywebsite/includes/functions/plugin_support.php on line 76


    ------

    3 logfiles ( last one above ) when a get into admin.
    Last edited by solo_400; 7 Feb 2018 at 11:40 AM.

 

 

Similar Threads

  1. User Tracking Mod only shows the Admin Session
    By Griff1324 in forum General Questions
    Replies: 6
    Last Post: 29 May 2008, 10:56 PM
  2. User Tracking Mod issue: repeated Logins: Admin: View Sessions
    By dharma in forum All Other Contributions/Addons
    Replies: 8
    Last Post: 20 Feb 2008, 04:48 AM
  3. Search log mod vs. user tracking
    By ashton0603 in forum General Questions
    Replies: 4
    Last Post: 30 Jan 2008, 08:43 AM
  4. Google Analytics vs User Tracking mod
    By miles in forum General Questions
    Replies: 1
    Last Post: 15 Jun 2007, 10:09 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR